# SchemaMappingProvider

    public protocol SchemaMappingProvider

The `SchemaMappingProvider` provides migration mapping information between two `DynamicSchema` versions.

- `cs_createMappingModel(from:to:storage:)`

  Do not call directly.

  #### Declaration

  Swift

      func cs_createMappingModel(from sourceSchema: DynamicSchema, to destinationSchema: DynamicSchema, storage: LocalStorage) throws -> (mappingModel: NSMappingModel, migrationType: MigrationType)